Create agent
curl --request POST \
--url https://api.weav.com/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"avatar_url": "<string>",
"max_messages_per_session": 500,
"tone": "<string>",
"response_length": "<string>",
"is_active": true
}
'import requests
url = "https://api.weav.com/v1/agents"
payload = {
"name": "<string>",
"description": "<string>",
"avatar_url": "<string>",
"max_messages_per_session": 500,
"tone": "<string>",
"response_length": "<string>",
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
avatar_url: '<string>',
max_messages_per_session: 500,
tone: '<string>',
response_length: '<string>',
is_active: true
})
};
fetch('https://api.weav.com/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"avatar_url": "<string>",
"max_messages_per_session": 123,
"tone": "<string>",
"response_length": "<string>",
"is_active": true,
"is_copilot": true,
"prohibited_phrases": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phrase": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"escalation_rules": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "<string>",
"rule": "<string>",
"escalate_to": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "Error message",
"code": "UNAUTHENTICATED",
"errors": {}
}{
"message": "The given data was invalid.",
"errors": {}
}Agents
Create agent
The model is set automatically to gpt-4o-mini.
POST
/
agents
Create agent
Authorizations
Workspace API token.
Include abilities external-api:read and/or external-api:write.
Body
application/json
Maximum string length:
255Maximum string length:
500Required range:
1 <= x <= 1000Maximum string length:
255Maximum string length:
255Response
Agent created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

